/*
 * Copyright (c) 2016-2020 Marco Cawthorne <marco@icculus.org>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF MIND, USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
 * OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

typedef enum
{
	SHMODE_STANDARD = 0,
	SHMODE_STEALTH,
	SHMODE_SLAUGHTER,
	SHMODE_LIVEINFEAR,
	SHMODE_MADNESS,
	SHMODE_INVASION
} shmode_e;

/* give our gamemode cvar a default */
var shmode_e autocvar_sh_realistic = SHMODE_SLAUGHTER;
var shmode_e g_chosen_mode;

/* enable forcerespawn */
var int autocvar_mp_forcerespawn = 1;

/* enable team changing */
var int autocvar_sh_allowteamchange = 1;

/* enable map configs */
var int autocvar_sh_levelexec = 1;

/* limit the amount of scientists that can spawn by default */
var int autocvar_sh_scimax = 5;

/* default speed for scientists */
var int autocvar_sh_scispeed = 40;

/* enable scientist obituaries */
var int autocvar_sh_announcescideath = 1;

/* enable scientist scoreboard */
var int autocvar_sh_announcescinum = 1;

/* default kills required for insanity */
var int autocvar_sh_insanity = 5;
