/*
 * Copyright (c) 2016-2024 Marco Cawthorne <marco@icculus.org>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF MIND, USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
 * OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

typedef enum {
	SCIANIM_WALK = 0,
	SCIANIM_WALK_SCARED = 1,
	SCIANIM_RUN = 2,
	SCIANIM_RUN1 = 3,
	SCIANIM_RUN2 = 4,
	SCIANIM_180_LEFT = 5,
	SCIANIM_180_RIGHT = 6,
	SCIANIM_FLINCH = 7,
	SCIANIM_FLINCH1 = 8,
	SCIANIM_LAFLINCH = 9,
	SCIANIM_RAFLINCH = 10,
	SCIANIM_LLFLINCH = 11,
	SCIANIM_RLFLINCH = 12,
	SCIANIM_IDLE1 = 13,
	SCIANIM_IDLE3 = 14,
	SCIANIM_IDLE4 = 15,
	SCIANIM_IDLE5 = 16,
	SCIANIM_IDLE6 = 17,
	SCIANIM_IDLE7 = 18,
	SCIANIM_CROUCHSTAND = 19,
	SCIANIM_CROUCH_IDLE = 20,
	SCIANIM_CROUCH_IDLE2 = 21,
	SCIANIM_CROUCH_IDLE3 = 22,
	SCIANIM_CROUCH_IDLE3 = 23,
	SCIANIM_PANIC = 24,
	SCIANIM_FEAR1 = 25,
	SCIANIM_FEAR2 = 26,
	SCIANIM_EYE_WIPE = 27,
	SCIANIM_PULL_NEEDLE = 28,
	SCIANIM_RETURN_NEEDLE = 29,
	SCIANIM_GIVE_SHOT = 30,
	SCIANIM_DIESIMPLE = 31,
	SCIANIM_DIEFORWARD = 32,
	SCIANIM_DIEFORWARD1 = 33,
	SCIANIM_DIEBACKWARD = 34,
	SCIANIM_HEADSHOT = 35,
	SCIANIM_GUTSHOT = 36,
	SCIANIM_LYING_ON_BACK = 37,
	SCIANIM_LYING_ON_STOMACH = 38,
	SCIANIM_DEAD_SITTING = 39,
	SCIANIM_DEAD_TABLE1 = 40,
	SCIANIM_DEAD_TABLE2 = 41,
	SCIANIM_DEAD_TABLE3 = 42,
	SCIANIM_BARNACLED1 = 43,
	SCIANIM_BARNACLED2 = 44,
	SCIANIM_BARNACLED3 = 45,
	SCIANIM_BARNACLED4 = 46,
	SCIANIM_CONSOLE = 47,
	SCIANIM_CHECKTIE = 48,
	SCIANIM_DRYHANDS = 49,
	SCIANIM_TIESHOE = 50,
	SCIANIM_WRITEBOARD = 51,
	SCIANIM_STUDYCART = 52,
	SCIANIM_LEAN = 53,
	SCIANIM_PONDERING = 54,
	SCIANIM_PONDERING2 = 55,
	SCIANIM_PONDERING3 = 56,
	SCIANIM_BUYSODA = 57,
	SCIANIM_PAUSE = 58,
	SCIANIM_YES = 59,
	SCIANIM_NO = 60,
	SCIANIM_PUSH_BUTTON = 61,
	SCIANIM_CONVERSE1 = 62,
	SCIANIM_CONVERSE2 = 63,
	SCIANIM_RETINA = 64,
	SCIANIM_TALKLEFT = 65,
	SCIANIM_TALKRIGHT = 66,
	SCIANIM_DESKIDLE = 67,
	SCIANIM_COFFEE = 68,
	SCIANIM_FRANTICBUTTON = 69,
	SCIANIM_STARTLE = 70,
	SCIANIM_SITLOOKLEFT = 71,
	SCIANIM_SITLOOKRIGHT = 72,
	SCIANIM_SITSCARED = 73,
	SCIANIM_SITTING2 = 74,
	SCIANIM_SITTING3 = 75,
	SCIANIM_CPRSCIENTIST = 76,
	SCIANIM_CPRSCIENTISTREVIVE = 77,
	SCIANIM_COWERING_IN_CORNER = 78,
	SCIANIM_SSTRUGGLEIDLE = 79,
	SCIANIM_SSTRUGGLE = 80,
	SCIANIM_HEADCRABBED = 81,
	SCIANIM_C1A0_CATWALKIDLE = 82,
	SCIANIM_C1A0_CATWALK = 83,
	SCIANIM_CEILING_DANGLE = 84,
	SCIANIM_VENTPULL1 = 85,
	SCIANIM_VENTPULL2 = 86,
	SCIANIM_VENTPULLIDLE1 = 87,
	SCIANIM_VENTPULLIDLE2 = 88,
	SCIANIM_SITIDLE = 89,
	SCIANIM_SITSTAND = 90,
	SCIANIM_KEYPAD = 91,
	SCIANIM_PANIC1 = 92,
	SCIANIM_LOOKWINDOW = 93,
	SCIANIM_WAVE = 94,
	SCIANIM_PULLDOOR = 95,
	SCIANIM_BEATDOOR = 96,
	SCIANIM_FALLINGLOOP = 97,
	SCIANIM_CRAWLWINDOW = 98,
	SCIANIM_DIVEWINDOW = 99,
	SCIANIM_LOCKED_DOOR = 100,
	SCIANIM_PUSH_BUTTON2 = 101,
	SCIANIM_UNLOCK_DOOR = 102,
	SCIANIM_QUICKLOOK = 103,
	SCIANIM_HANDRAILIDLE = 104,
	SCIANIM_HANDRAIL = 105,
	SCIANIM_HANGING_IDLE = 106,
	SCIANIM_FALL = 107,
	SCIANIM_SCIENTIST_GET_PULLED = 108,
	SCIANIM_HANGING_IDLE2 = 109,
	SCIANIM_FALL_ELEVATOR = 110,
	SCIANIM_SCIENTIST_IDLEWALL = 111,
	SCIANIM_ICKYJUMP_SCI = 112,
	SCIANIM_HAULSCIENTIST = 113,
	SCIANIM_C1A4_WOUNDED_IDLE = 114,
	SCIANIM_C1A4_DYING_SPEECH = 115,
	SCIANIM_TENTACLE_GRAB = 116,
	SCIANIM_HELICACK = 117,
	SCIANIM_WINDIVE = 118,
	SCIANIM_SCICRASHIDLE = 119,
	SCIANIM_SCICRASH = 120,
	SCIANIM_ONGUARD = 121,
	SCIANIM_SEEYA = 122,
	SCIANIM_ROCKETCRAWL = 123,
	SCIANIM_PORTAL = 124,
	SCIANIM_GLUONSHOW = 125,
	SCIANIM_CROUCH = 126,
	SCIANIM_KNEEL = 127,
} sh_scianims_e;